From: Vladimir Oltean <vladimir.oltean@nxp.com>
To: Roger Quadros <rogerq@kernel.org>
Cc: davem@davemloft.net, edumazet@google.com, kuba@kernel.org,
pabeni@redhat.com, shuah@kernel.org, s-vadapalli@ti.com,
r-gunasekaran@ti.com, vigneshr@ti.com, srk@ti.com,
horms@kernel.org, p-varis@ti.com, netdev@vger.kernel.org,
linux-kernel@vger.kernel.org
Subject: Re: [PATCH v8 net-next 02/11] selftests: forwarding: ethtool_mm: fall back to aggregate if device does not report pMAC stats
Date: Thu, 14 Dec 2023 16:16:46 +0200 [thread overview]
Message-ID: <20231214141646.kdf5rnldpyglwvdd@skbuf> (raw)
In-Reply-To: <20231213110721.69154-3-rogerq@kernel.org>
On Wed, Dec 13, 2023 at 01:07:12PM +0200, Roger Quadros wrote:
> diff --git a/tools/testing/selftests/net/forwarding/lib.sh b/tools/testing/selftests/net/forwarding/lib.sh
> index 8f6ca458af9a..763c262a3453 100755
> --- a/tools/testing/selftests/net/forwarding/lib.sh
> +++ b/tools/testing/selftests/net/forwarding/lib.sh
> @@ -146,6 +146,15 @@ check_ethtool_mm_support()
> fi
> }
>
> +check_ethtool_pmac_std_stats_support()
> +{
> + local dev=$1; shift
> + local grp=$1; shift
> +
> + [ 0 -ne $(ethtool --json -S $dev --all-groups --src pmac 2>/dev/null \
> + | jq '.[]."$grp" | length') ]
> +}
> +
> check_locked_port_support()
> {
> if ! bridge -d link show | grep -q " locked"; then
> --
> 2.34.1
>
FYI, there's another submitted patch that touches the exact same spot,
and it looks like it has a good chance of getting merged.
https://patchwork.kernel.org/project/netdevbpf/patch/20231214135029.383595-9-tobias@waldekranz.com/
You need to pay attention to merge conflicts, so you don't waste a patch
iteration just because of that one thing.
I guess you might be able to wing it, because the other patch does this:
diff --git a/tools/testing/selftests/net/forwarding/lib.sh b/tools/testing/selftests/net/forwarding/lib.sh
index 8f6ca458af9a..e3740163c384 100755
--- a/tools/testing/selftests/net/forwarding/lib.sh
+++ b/tools/testing/selftests/net/forwarding/lib.sh
@@ -146,6 +146,15 @@ check_ethtool_mm_support()
fi
}
+check_ethtool_counter_group_support()
+{
+ ethtool --help 2>&1| grep -- '--all-groups' &> /dev/null
+ if [[ $? -ne 0 ]]; then
+ echo "SKIP: ethtool too old; it is missing standard counter group support"
+ exit $ksft_skip
+ fi
+}
+
check_locked_port_support()
{
if ! bridge -d link show | grep -q " locked"; then
which quite coincidentally does not change what your patch sees in its
upper context, aka 3 lines like this:
----
fi
}
----
You can check if your patch set applies on top of Tobias', by formatting
it as patch files on top of net-next/main, resetting HEAD to net-next,
applying Tobias' series and then your patches.
next prev parent reply other threads:[~2023-12-14 14:17 UTC|newest]
Thread overview: 28+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-12-13 11:07 [PATCH v8 net-next 00/11] net: ethernet: am65-cpsw: Add mqprio, frame pre-emption & coalescing Roger Quadros
2023-12-13 11:07 ` [PATCH v8 net-next 01/11] selftests: forwarding: ethtool_mm: support devices with higher rx-min-frag-size Roger Quadros
2023-12-13 11:07 ` [PATCH v8 net-next 02/11] selftests: forwarding: ethtool_mm: fall back to aggregate if device does not report pMAC stats Roger Quadros
2023-12-14 14:16 ` Vladimir Oltean [this message]
2023-12-14 17:16 ` Roger Quadros
2023-12-13 11:07 ` [PATCH v8 net-next 03/11] net: ethernet: am65-cpsw: Build am65-cpsw-qos only if required Roger Quadros
2023-12-13 11:07 ` [PATCH v8 net-next 04/11] net: ethernet: am65-cpsw: Rename TI_AM65_CPSW_TAS to TI_AM65_CPSW_QOS Roger Quadros
2023-12-13 11:07 ` [PATCH v8 net-next 05/11] net: ethernet: am65-cpsw: cleanup TAPRIO handling Roger Quadros
2023-12-14 11:23 ` Vladimir Oltean
2023-12-14 13:36 ` Roger Quadros
2023-12-14 13:41 ` Vladimir Oltean
2023-12-14 13:50 ` Roger Quadros
2023-12-13 11:07 ` [PATCH v8 net-next 06/11] net: ethernet: ti: am65-cpsw: Move code to avoid forward declaration Roger Quadros
2023-12-14 11:09 ` Vladimir Oltean
2023-12-13 11:07 ` [PATCH v8 net-next 07/11] net: ethernet: am65-cpsw: Move register definitions to header file Roger Quadros
2023-12-14 11:08 ` Vladimir Oltean
2023-12-13 11:07 ` [PATCH v8 net-next 08/11] net: ethernet: ti: am65-cpsw: add mqprio qdisc offload in channel mode Roger Quadros
2023-12-14 11:06 ` Vladimir Oltean
2023-12-13 11:07 ` [PATCH v8 net-next 09/11] net: ethernet: ti: am65-cpsw-qos: Add Frame Preemption MAC Merge support Roger Quadros
2023-12-14 11:04 ` Vladimir Oltean
2023-12-14 13:44 ` Roger Quadros
2023-12-14 13:50 ` Vladimir Oltean
2023-12-14 13:53 ` Roger Quadros
2023-12-13 11:07 ` [PATCH v8 net-next 10/11] net: ethernet: ti: am65-cpsw: add sw tx/rx irq coalescing based on hrtimers Roger Quadros
2023-12-13 11:07 ` [PATCH v8 net-next 11/11] net: ethernet: ti: am65-cpsw: Fix get_eth_mac_stats Roger Quadros
2023-12-13 13:54 ` Vladimir Oltean
2023-12-14 10:04 ` Roger Quadros
2023-12-15 11:31 ` Roger Quadros
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=20231214141646.kdf5rnldpyglwvdd@skbuf \
--to=vladimir.oltean@nxp.com \
--cc=davem@davemloft.net \
--cc=edumazet@google.com \
--cc=horms@kernel.org \
--cc=kuba@kernel.org \
--cc=linux-kernel@vger.kernel.org \
--cc=netdev@vger.kernel.org \
--cc=p-varis@ti.com \
--cc=pabeni@redhat.com \
--cc=r-gunasekaran@ti.com \
--cc=rogerq@kernel.org \
--cc=s-vadapalli@ti.com \
--cc=shuah@kernel.org \
--cc=srk@ti.com \
--cc=vigneshr@ti.com \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is an external index of several public inboxes,
see mirroring instructions on how to clone and mirror
all data and code used by this external index.